﻿using Rg.Plugins.Popup.Services;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace MyPop
{
    public partial class MainPage : ContentPage
    {
       public static ObservableCollection<MyColor> MyColors = new ObservableCollection<MyColor>();
        public MainPage()
        {
            InitializeComponent();

            MyColors.Add(new MyColor { ColorType = Color.Red, ColorName = "Red" });
            MyColors.Add(new MyColor { ColorType = Color.Yellow, ColorName = "Yellow" });
            MyColors.Add(new MyColor { ColorType = Color.Black, ColorName = "Black" });
            MyColors.Add(new MyColor { ColorType = Color.Blue, ColorName = "Blue" });


            MessagingCenter.Subscribe<MyPop, string>(this, "Hi", (sender, arg) => {
                // arg;
                myLabel.Text = arg;
            });

        }

        private async void Button_Clicked(object sender, EventArgs e)
        {
            await PopupNavigation.PushAsync(new MyPop());
        }
    }
}
