﻿using Rg.Plugins.Popup.Pages;
using Rg.Plugins.Popup.Services;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace MyPop
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class MyPop : PopupPage
    {
        ObservableCollection<MyColor> MyColors1;
        public MyPop ()
		{
			InitializeComponent ();
          MyColors1 = MainPage.MyColors;
            myList.ItemsSource = MyColors1;

        }

        private async void Button_Clicked(object sender, EventArgs e)
        {
            await PopupNavigation.PopAsync(true);
        }

        protected  override bool OnBackgroundClicked()
        {
             PopupNavigation.PopAsync(true);
            return base.OnBackgroundClicked();
        }

        private void MyList_ItemSelected(object sender, SelectedItemChangedEventArgs e)
        {
            MyColor select =(MyColor)e.SelectedItem;

            select.IsChecked = true;

            foreach (var item in MyColors1)
            {
                if(!(item.ColorName).Equals(select.ColorName)){
                    item.IsChecked = false;
                }
            }

            MessagingCenter.Send<MyPop, string>(this, "Hi", select.ColorName);
      //      PopupNavigation.PopAsync(true);
        }
    }
}